Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session
Class SessionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.novell.service.session.SessionException

public class SessionException
extends java.lang.Exception
implements java.io.Serializable, HasRootCause

Provides a top-level exception that is thrown by session objects. All session exceptions extend this top-level exception.

See Also:
  Serialized Form

Constructor Summary
`SessionException(java.lang.String s)` Constructs a SessionException with a specified detail message.
`SessionException(java.lang.String s, java.lang.Throwable rootException)` Constructs a SessionException with a specified detail message and a root-cause exception.
`SessionException(java.lang.Throwable rootException)` Constructs a SessionException with a root-cause exception.

Method Summary
`java.lang.Throwable` | `getRootCause()` Retrieves the root-cause exception, which is inherited from HasRootCauses.
`java.lang.String` | `toString()` Returns a short description of this throwable object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionException

    public SessionException(java.lang.String s)

  Constructs a SessionException with a specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `s` - The detail message describing the exception.

### SessionException

    public SessionException(java.lang.Throwable rootException)

  Constructs a SessionException with a root-cause exception. The root cause exception can be retrieved using getRootCause().
  Parameters:
    `rootException` - The root-cause exception.

### SessionException

    public SessionException(java.lang.String s,
                            java.lang.Throwable rootException)

  Constructs a SessionException with a specified detail message and a root-cause exception. The root-cause exception can be retrieved using getRootCause().
  Parameters:
    `s` - The detail message describing the exception.
    `rootException` - The root-cause exception.

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Retrieves the root-cause exception, which is inherited from HasRootCauses.
  Specified by:
    getRootCause in interface HasRootCause
  Returns:
    Throwable The root-cause exception.

### toString

    public java.lang.String toString()

  Returns a short description of this throwable object.
  Returns:
    A string representation of this root-cause exception.
  Overrides:
    toString in class java.lang.Throwable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD